Page MenuHomePhabricator

Mount dumps NFS share to instances in the soweego VPS project
Closed, ResolvedPublic

Description

As per https://wikitech.wikimedia.org/wiki/Help:Shared_storage

VPS project: https://tools.wmflabs.org/openstack-browser/project/soweego

The project needs to read large subsets of Wikidata, so it would be optimal to directly access the dumps, instead of running queries against the public SPARQL endpoint.

Event Timeline

Hjfocs created this task.Nov 19 2018, 10:46 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 19 2018, 10:46 AM
Hjfocs edited projects, added Cloud-Services; removed Soweego.Nov 19 2018, 10:47 AM
Addshore moved this task from incoming to monitoring on the Wikidata board.Nov 19 2018, 5:10 PM

@bd808 @aborrero : friendly bump (maybe I'm missing some specific tags?)

aborrero triaged this task as Normal priority.Dec 11 2018, 1:54 PM

Looking into this.

aborrero claimed this task.Dec 11 2018, 2:24 PM
bd808 renamed this task from Request to access shared storage on the soweego VPS project to Mount dumps NFS share to instances in the soweego VPS project.Dec 11 2018, 7:08 PM

Change 479195 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] cloudvps: export NFS dumps for soweego project

https://gerrit.wikimedia.org/r/479195

Change 479195 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] cloudvps: export NFS dumps for soweego project

https://gerrit.wikimedia.org/r/479195

aborrero closed this task as Resolved.Dec 12 2018, 1:54 PM
root@soweego-1:~# ls -l /public/dumps/
total 16
lrwxrwxrwx 1 root root 59 Dec 12 13:52 incr -> /mnt/nfs/dumps-labstore1007.wikimedia.org/xmldatadumps/incr
lrwxrwxrwx 1 root root 88 Dec 12 13:52 pagecounts-all-sites -> /mnt/nfs/dumps-labstore1007.wikimedia.org/xmldatadumps/public/other/pagecounts-all-sites
lrwxrwxrwx 1 root root 82 Dec 12 13:52 pagecounts-raw -> /mnt/nfs/dumps-labstore1007.wikimedia.org/xmldatadumps/public/other/pagecounts-raw
lrwxrwxrwx 1 root root 77 Dec 12 13:52 pageviews -> /mnt/nfs/dumps-labstore1007.wikimedia.org/xmldatadumps/public/other/pageviews
lrwxrwxrwx 1 root root 61 Dec 12 13:52 public -> /mnt/nfs/dumps-labstore1007.wikimedia.org/xmldatadumps/public

I think you are all set. Feel free to reopen the ticket if you find anything wrong.

Works fine. Thank you @aborrero for your work.